PROGRAM test (prijsbest);
CONST afsluiter = -1;
VAR zoeknum, artnr: integer;
    artpr: real;
    prijsbest: text;
BEGIN
        assign(prijsbest, 'c:\tp\prijsbest');
    reset(prijsbest);
    write('Geef artikelnummer: ');
    readln(zoeknum);
    read(prijsbest, artnr);
    WHILE ( artnr < zoeknum ) AND (artnr <> afsluiter ) DO
    BEGIN
       readln( prijsbest, artpr);
       read( prijsbest, artnr)
    END;
    IF artnr = zoeknum
    THEN BEGIN
            read( prijsbest, artpr);
            writeln('Prijs is ', artpr:8:2)
         END
    ELSE writeln('Artikel niet aanwezig! ');
    close(prijsbest)
END.             
